import sys, socket
import Pyro.naming
import Pyro.core

import test

######## testclass object

class testclass(Pyro.core.ObjBase, test.testclass):
	pass

######## main program

def main():
	Pyro.core.initServer()
	PyroDaemon = Pyro.core.Daemon()
	locator = Pyro.naming.NameServerLocator()
	print 'searching for Naming Service...'
	try:
		ns = locator.getNS()
	except (Pyro.core.PyroError,socket.error),x:
		hn = socket.gethostname()
		print '\nNaming Service not found with broadcast. Trying host',hn,'...',
		ns = locator.getNS(host=hn)

	print 'Naming Service found at',ns.URI.host,ns.URI.port

	PyroDaemon.useNameServer(ns)

	# connect a new object implementation:
	PyroDaemon.connect(testclass(),'test')

	print 'Ready.'
	while 1:
		PyroDaemon.handleRequests(3.0)
		print '.',
		sys.stdout.flush()

if __name__=='__main__':
	main()
